#!/bin/bash

grid_id=0058
grids_folder=/pool/data/ICON/grids/public/mpim/${grid_id}
grid_refinement=R02B08
grid_label=O
grid_name=icon_grid_${grid_id}_${grid_refinement}_${grid_label}
zoom=13

if [[ $grid_label == "O" ]]; then
  cdo -P 4 -gennn,hpz${zoom} -setrtomiss,0,2 -select,name=cell_sea_land_mask ${grids_folder}/icon_grid_${grid_id}_${grid_refinement}_${grid_label}.nc weights_${grid_refinement}_${grid_label}_hpz${zoom}.nc
else
  cdo -P 4 -gennn,hpz${zoom} -const,0,${grids_folder}/icon_grid_${grid_id}_${grid_refinement}_${grid_label}.nc weights_${grid_refinement}_${grid_label}_hpz${zoom}.nc
fi
